# Parse `version.json` file and return libs

## English

**About:**

Utility parse Minecraft JE game version file (`version.json`) and returns
libraries list for specified operation system.

**How to build from source:**

```sh
conan install .
make
```

**How to use:**

```
Minecraft Libraries List Generator

Usage:
  make-libs-string <version.json> <system>

  <system> - w|l|x (windows or linux or osx)

Other:
  make-libs-string <version.json> i - to get version info
```

Utility has two required arguments,
`<version.json>` and `<system>`.

* `version.json` - takes the path to the file.
* `system` - takes one of three values `w` `l` `x`, the letter of which corresponds to one of the operating systems.

_**version.json**_ example for 1.19.2 version.

```sh
wget https://piston-meta.mojang.com/v1/packages/68cded4616fba9fbefb3f895033c261126c5f89c/1.19.2.json
```


## Русский

**Описание:**

Утилита парсит файл версий (`version.json`) Minecraft JE и возвращает
список библиотек для указанной операционной системы.

**Как скомпилировать:**

```sh
conan install .
make
```

**Как использовать:**

```
Minecraft Libraries List Generator

Usage:
  make-libs-string <version.json> <system>

  <system> - w|l|x (windows or linux or osx)

Other:
  make-libs-string <version.json> i - to get version info
```

Программа имеет два обязательных аргумента,
`<version.json>` и `<system>`.

* `version.json` - принимает путь к файлу
* `system` - принимает одно из трёх значений `w` `l` `x`, буква которых соответствует одной из операционных систем.

Пример _**version.json**_ для версии 1.19.2.

```sh
wget https://piston-meta.mojang.com/v1/packages/68cded4616fba9fbefb3f895033c261126c5f89c/1.19.2.json
```
